﻿using Syncfusion.UI.Xaml.Utils;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SfTileview_133108
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            TestCommand = new DelegateCommand(TestCommandExecute);
            ResourceDictionary dic = new ResourceDictionary();
            if (SampleDeviceInfo.TargetDeviceOS == SampleDeviceOS.Windows)
                dic.Source = new Uri("ms-appx:///View/Template_Winrt.xaml", UriKind.RelativeOrAbsolute);
            else
                dic.Source = new Uri("ms-appx:///View/Template_WP.xaml", UriKind.RelativeOrAbsolute);

            App.Current.Resources.MergedDictionaries.Add(dic);
            this.InitializeComponent();
            if (SampleDeviceInfo.TargetDeviceOS == SampleDeviceOS.WindowsPhone)
            {
                tile.MaximizedItemTemplate = Resources["WPMaximizedTileItemTemplate"] as DataTemplate;
                tile.Width = 380;
                tile.Height = 450;
                tile.ItemWidth = 120;
                tile.ItemHeight = 100;
            }
            else
                tile.Visibility = Visibility.Visible;
        }

        // Binding the command to Navigate to a new Page. We have passed the object of the SfTileViewItem as a parameter

        public DelegateCommand TestCommand { get; set; }

        private void TestCommandExecute(object obj)
        {
            this.Frame.Navigate(typeof(MaximizedPage), obj);
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            if (SampleDeviceInfo.TargetDeviceOS == SampleDeviceOS.WindowsPhone)
            {
                tile.Width = 380;
                tile.Height = 450;
                tile.ItemWidth = 120;
                tile.ItemHeight = 100;
            }
        }

        void Restore(object sender, TappedRoutedEventArgs e)
        {
            tile.SelectedIndex = -1;
        }
    }

    public static class SampleDeviceInfo
    {
        public static SampleDeviceOS TargetDeviceOS
        {
            get
            {
#if WINDOWS_PHONE_APP
                return SampleDeviceOS.WindowsPhone;
#else
                if (Syncfusion.UI.Xaml.Utils.DeviceInfo.TargetDeviceOS == Syncfusion.UI.Xaml.Utils.DeviceOS.Windows)
                {
                    return SampleDeviceOS.Windows;
                }
                else
                {
                    return SampleDeviceOS.WindowsPhone;
                }
#endif
            }
        }
    }

    public enum SampleDeviceOS
    {
        Windows,
        WindowsPhone
    }
}
